Subject: Re: [PATCH 0/5 v2] Worktree/Gitdir at root directory

From: Johannes Sixt <[email-masked]>
Date: Fri, 12 Feb 2010 11:21:21 +0100

Nguyễn Thái Ngọc Duy schrieb:
> So here we go again. Changes are:
> 
>  - Support DOS drives as root path (Thanks Hannes)
>  - Fix one "broken" test that I was too lazy to do last time
>  - t1509-root-worktree.sh will refuse to run under root permission
> 
> I did not test it on Windows, so an Ack from someone who actually tests it on Windows
> is really appreciated.

I don't see any regressions in may tests on Windows, but I actually don't 
know what to test (the chroot test doesn't work on Windows). I did test on 
the root of a partition

    T:\> git init
    T:\> cd foo
    T:\foo> git add bar

and it works as expected.

You should address my comments to 3/5, please.

-- Hannes